=== modified file '__init__.py'
--- __init__.py	2010-12-20 12:57:39 +0000
+++ __init__.py	2011-01-31 10:19:52 +0000
@@ -15,22 +15,22 @@
 """Graphical support for Bazaar using GTK.
 
 This plugin includes:
-gannotate         GTK+ annotate. 
-gbranch           GTK+ branching. 
-gcheckout         GTK+ checkout. 
+gannotate         GTK+ annotate.
+gbranch           GTK+ branching.
+gcheckout         GTK+ checkout.
 gcommit           GTK+ commit dialog.
-gconflicts        GTK+ conflicts. 
-gdiff             Show differences in working tree in a GTK+ Window. 
+gconflicts        GTK+ conflicts.
+gdiff             Show differences in working tree in a GTK+ Window.
 ginit             Initialise a new branch.
 gloom             GTK+ loom browse dialog
 gmerge            GTK+ merge dialog
-gmissing          GTK+ missing revisions dialog. 
-gpreferences      GTK+ preferences dialog. 
+gmissing          GTK+ missing revisions dialog.
+gpreferences      GTK+ preferences dialog.
 gpush             GTK+ push.
 gsend             GTK+ send merge directive.
 gstatus           GTK+ status dialog.
 gtags             Manage branch tags.
-visualise         Graphically visualise this branch. 
+visualise         Graphically visualise this branch.
 """
 
 import os
@@ -109,17 +109,6 @@
     return data_path(os.path.join('icons', *args))
 
 
-def open_display():
-    pygtk = import_pygtk()
-    try:
-        import gtk
-    except RuntimeError, e:
-        if str(e) == "could not open display":
-            raise NoDisplayError
-    set_ui_factory()
-    return gtk
-
-
 commands = {
     "gannotate": ["gblame", "gpraise"],
     "gbranch": [],
@@ -157,13 +146,6 @@
                                        save_commit_messages,
                                        "Saving commit messages for gcommit")
 
-class NoDisplayError(errors.BzrCommandError):
-    """gtk could not find a proper display"""
-
-    def __str__(self):
-        return "No DISPLAY. Unable to run GTK+ application."
-
-
 credential_store_registry = getattr(config, "credential_store_registry", None)
 if credential_store_registry is not None:
     try:

=== modified file 'commands.py'
--- commands.py	2010-12-20 12:57:39 +0000
+++ commands.py	2011-01-31 10:19:52 +0000
@@ -16,7 +16,7 @@
 
 from bzrlib import (
     branch,
-    builtins,
+    errors,
     workingtree,
     )
 from bzrlib.commands import (
@@ -33,11 +33,30 @@
 
 from bzrlib.plugins.gtk import (
     _i18n,
-    open_display,
     import_pygtk,
     set_ui_factory,
     )
 
+
+class NoDisplayError(errors.BzrCommandError):
+    """gtk could not find a proper display"""
+
+    def __str__(self):
+        return "No DISPLAY. Unable to run GTK+ application."
+
+
+def open_display():
+    pygtk = import_pygtk()
+    try:
+        import gtk
+    except RuntimeError, e:
+        if str(e) == "could not open display":
+            raise NoDisplayError
+    set_ui_factory()
+    return gtk
+
+
+
 class GTKCommand(Command):
     """Abstract class providing GTK specific run commands."""
 

